import { ModuleWithProviders } from '@angular/core';
import { AuthConfig } from './interfaces/config.interface';
import { Auth } from './auth.service';
import * as i0 from "@angular/core";
import * as i1 from "./directives/authenticated.directive";
import * as i2 from "@angular/common/http";
export declare class AuthModule {
    static forRoot(config: AuthConfig): ModuleWithProviders<AuthModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<AuthModule, [typeof i1.BbAuthenticated], [typeof i2.HttpClientModule], [typeof i1.BbAuthenticated]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<AuthModule>;
}
export declare function initializeAuth(auth: Auth): () => Promise<void>;
