import { OnDestroy, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { AbstractAuthDirective } from './abstract.directive';
import { Auth } from '../auth.service';
import * as i0 from "@angular/core";
export declare class BbAuthenticated extends AbstractAuthDirective implements OnInit, OnDestroy {
    private _auth;
    private _templateRef;
    private _viewContainerRef;
    private _subscription;
    set bbAuthenticatedElse(templateRef: TemplateRef<any>);
    constructor(_auth: Auth, _templateRef: TemplateRef<any>, _viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ngAcceptInputType_bbAuthenticatedElse: TemplateRef<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbAuthenticated, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BbAuthenticated, "[bbAuthenticated]", never, { "bbAuthenticatedElse": { "alias": "bbAuthenticatedElse"; "required": false; }; }, {}, never, never, false, never>;
}
