import { InjectionToken } from '@angular/core';
export type ControlErrorData = {
    [key: string]: any;
};
export type ControlError = {
    [name: string]: (data: ControlErrorData) => string | {
        token: string;
        data: object;
    };
};
export declare const BBI_CONTROL_ERRORS: InjectionToken<ControlError[]>;
export type ControlErrorMode = 'blur' | 'changes' | 'hidden';
