import { ControlError } from '../control-error.interface';
import { Localize } from '@bravobit/bb-foundation/localize';
import { ValidationErrors } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class BbiControlError {
    private _localize?;
    private _functions?;
    readonly errorFunctions: ControlError;
    animation: boolean;
    set errors(errors: ValidationErrors | null);
    error: string | null;
    constructor(_localize?: Localize, _functions?: ControlError[]);
    private parseError;
    private getErrorSentence;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbiControlError, [{ optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbiControlError, "bbi-control-error", never, { "errors": { "alias": "errors"; "required": false; }; }, {}, never, never, false, never>;
}
