import { ChangeDetectorRef } from '@angular/core';
import { BooleanInput } from '@angular/cdk/coercion';
import { BbiRadioGroup } from '../radio-group/radio-group.component';
import * as i0 from "@angular/core";
export declare class BbiRadioButton {
    private _radioGroup;
    private _changeDetectorRef;
    value: any | null;
    get disabled(): boolean;
    set disabled(value: BooleanInput);
    private _disabled;
    get hideText(): boolean;
    set hideText(value: BooleanInput);
    private _hideText;
    onClick(): void;
    onSpacePressed(): void;
    get selected(): boolean;
    constructor(_radioGroup: BbiRadioGroup, _changeDetectorRef: ChangeDetectorRef);
    static ngAcceptInputType_value: any;
    static ngAcceptInputType_disabled: BooleanInput;
    static ngAcceptInputType_hideText: BooleanInput;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbiRadioButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbiRadioButton, "bbi-radio-button", never, { "value": { "alias": "value"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "hideText": { "alias": "hideText"; "required": false; }; }, {}, never, ["*"], false, never>;
}
