import { OnInit } from '@angular/core';
import { Storage } from '@bravobit/bb-foundation/storage';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BbDashboardSidebar implements OnInit {
    private _storage;
    visibilityChanges: BehaviorSubject<boolean>;
    private _state$;
    private _cache;
    private readonly _localStorageToken;
    constructor(_storage: Storage);
    ngOnInit(): void;
    registerGroup(id: string): import("rxjs").Observable<boolean>;
    unregisterGroup(id: string): void;
    toggleGroup(id: string, newValue: boolean): void;
    toggle(): void;
    open(): void;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbDashboardSidebar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbDashboardSidebar, "bb-dashboard-sidebar", never, {}, {}, never, ["header", "bb-dashboard-sidebar-group", "footer"], false, never>;
}
