import { OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { BbDashboardSidebar } from '../dashboard-sidebar/dashboard-sidebar.component';
import { Platform } from '@angular/cdk/platform';
import { Patch } from '@bravobit/bb-foundation';
import * as i0 from "@angular/core";
export declare class BbDashboard implements OnInit, OnDestroy {
    private _patch;
    private _platform;
    private _renderer;
    sidebar?: BbDashboardSidebar;
    backgroundColor: string;
    maxWidth: string;
    padding: string;
    constructor(_patch: Patch, _platform: Platform, _renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private setHtmlClass;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbDashboard, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbDashboard, "bb-dashboard", never, { "backgroundColor": { "alias": "backgroundColor"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; "padding": { "alias": "padding"; "required": false; }; }, {}, ["sidebar"], ["bb-dashboard-sidebar", "bb-dashboard-header", "bb-dashboard-menu", "*", "bb-dashboard-footer"], false, never>;
}
