import { ComponentRef, ElementRef, OnDestroy, OnInit, Type } from '@angular/core';
import { Subject } from 'rxjs';
import { BbDialogInsertion } from '../dialog.insertion';
import { AnimationEvent } from '@angular/animations';
import { DialogConfig } from '../dialog.interfaces';
import * as i0 from "@angular/core";
export declare class BbDialogContainer implements OnInit, OnDestroy {
    private _elementRef;
    private _config?;
    readonly disableContainerAnimations: boolean;
    insertion: BbDialogInsertion;
    componentRef: ComponentRef<any> | null;
    childComponentType: Type<any> | null;
    overlayClicked$: Subject<void>;
    private _subscription;
    get onOverlayClicked(): import("rxjs").Observable<void>;
    constructor(_elementRef: ElementRef, _config?: DialogConfig);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onAnimationDone(event: AnimationEvent): void;
    private listenForClicks;
    private loadChildComponent;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbDialogContainer, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbDialogContainer, "bb-dialog-container", never, {}, {}, never, never, false, never>;
}
