import { CanDisable, CanDisableConstructor, IsGrouped, IsGroupedConstructor } from '@bravobit/bb-foundation';
import { ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
declare class BbCheckboxBase {
}
declare const BbCheckboxMixinBase: IsGroupedConstructor & CanDisableConstructor & typeof BbCheckboxBase;
export declare class BbCheckbox extends BbCheckboxMixinBase implements ControlValueAccessor, IsGrouped, CanDisable {
    private _changeDetection;
    labelId: string;
    tabIndex: number;
    get checked(): any;
    set checked(value: any);
    private _checked;
    constructor(_changeDetection: ChangeDetectorRef);
    onChange: (newValue: boolean) => void;
    onTouched: () => void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(newValue: boolean): void;
    onInteractionEvent(event: Event): void;
    onInputClick(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbCheckbox, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbCheckbox, "bb-checkbox", never, { "grouped": { "alias": "grouped"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; "checked": { "alias": "checked"; "required": false; }; }, {}, never, ["*"], false, never>;
}
export {};
