import { PipeTransform } from '@angular/core';
import { Localize } from '@bravobit/bb-foundation/localize';
import * as i0 from "@angular/core";
export declare class BbRelativeTime implements PipeTransform {
    private _localeId;
    private _localize?;
    constructor(_localeId: string, _localize?: Localize);
    transform(value: string | number | Date): string | number | Date;
    private format;
    private formatString;
    private get locale();
    private isValidDate;
    private parseAsDate;
    private isToday;
    private isYesterday;
    private isTomorrow;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbRelativeTime, [null, { optional: true; }]>;
    static ɵpipe: i0.ɵɵPipeDeclaration<BbRelativeTime, "bbRelativeTime", false>;
}
