export interface HttpConfigData {
    url: HttpConfigUrl;
    alias?: {
        prefix?: string;
        standard?: string;
    };
    disableErrorParsing?: boolean;
}
export type HttpConfigPlatformUrl = string | {
    browser: string;
    server: string;
};
export type HttpConfigAlias = {
    alias: string;
    url: HttpConfigPlatformUrl;
};
export type HttpConfigUrl = HttpConfigPlatformUrl | HttpConfigAlias[];
