import { LocalizeParams } from '../interfaces/options.interfaces';
import { LocalizeConfig } from '../interfaces/config.interfaces';
import { LocalizeTransform } from './abstract.transform';
import { Localize } from '../localize.service';
export declare class LocalizePluralTransform extends LocalizeTransform {
    protected config: LocalizeConfig;
    readonly substitutions: [leftSubstitution: string, rightSubstitution: string];
    readonly defaultAmount = "default";
    readonly multiItemRegex: RegExp;
    readonly singleItemRegex: RegExp;
    constructor(config: LocalizeConfig);
    execute(value: string, data: LocalizeParams['data'], _: Localize): string;
    private extractAmount;
    private parsePluralToken;
    private splitMatches;
    private getPluralObject;
}
