import { ThemeVariable } from '../utils/theming.variable';
export interface CheckboxTheme {
    size: ThemeVariable;
    grouping: ThemeVariable;
    colors: {
        accent: ThemeVariable;
        disabled: ThemeVariable;
    };
    border: {
        color: ThemeVariable;
        thickness: ThemeVariable;
        radius: ThemeVariable;
    };
    outline: {
        color: ThemeVariable;
        offset: ThemeVariable;
        thickness: ThemeVariable;
    };
    check: {
        size: ThemeVariable;
        color: ThemeVariable;
        thickness: ThemeVariable;
    };
    label: {
        color: ThemeVariable;
        fontSize: ThemeVariable;
        fontWeight: ThemeVariable;
        lineHeight: ThemeVariable;
        offset: ThemeVariable;
    };
}
export declare function checkboxThemeFactory(): CheckboxTheme;
