import { ThemeVariable } from '../utils/theming.variable';
interface BorderTheme {
    radius: ThemeVariable;
    width: ThemeVariable;
    style: ThemeVariable;
    color: ThemeVariable;
}
export interface FormControlTheme {
    grouping: ThemeVariable;
    color: ThemeVariable;
    background: ThemeVariable;
    error: {
        color: ThemeVariable;
        background: ThemeVariable;
        placeholderColor: ThemeVariable;
    };
    border: BorderTheme;
    focused: {
        color: ThemeVariable;
        background: ThemeVariable;
        shadow: ThemeVariable;
        border: BorderTheme;
    };
    disabled: {
        color: ThemeVariable;
        background: ThemeVariable;
        opacity: ThemeVariable;
        border: BorderTheme;
    };
}
export declare function formControlThemeFactory(): FormControlTheme;
export {};
