import { GlobalVariables, GlobalVariablesKey } from '../theming.interface';
export type ThemeVariable = ThemeVariableFunction | string;
export declare abstract class ThemeVariableFunction {
    private _key;
    protected constructor(_key: GlobalVariablesKey);
    abstract format(value: string): string;
    toString(variables: GlobalVariables): string;
}
export declare class ThemeColorVariable extends ThemeVariableFunction {
    private _opacity;
    constructor(key: GlobalVariablesKey);
    format(value: string): string;
    opacity(value: number): this;
    private toRgba;
    private hexToRgb;
}
