import { EmbeddedViewRef, TemplateRef, ViewContainerRef } from '@angular/core';
export declare abstract class AbstractAuthDirective {
    protected templateRef: TemplateRef<any>;
    protected viewContainerRef: ViewContainerRef;
    protected valid: boolean;
    protected elseTemplateRef: TemplateRef<any> | null;
    protected thenViewRef: EmbeddedViewRef<any> | null;
    protected elseViewRef: EmbeddedViewRef<any> | null;
    protected constructor(templateRef: TemplateRef<any>, viewContainerRef: ViewContainerRef);
    protected updateView(): void;
    protected assertTemplate(property: string, templateRef: TemplateRef<any> | null): void;
}
