import { ActivatedRouteSnapshot, CanActivate, CanActivateChild, Router, RouterStateSnapshot } from '@angular/router';
import { AuthConfig, AuthRedirectHandler } from '../interfaces/config.interface';
import { Auth } from '../auth.service';
import * as i0 from "@angular/core";
export declare class BbAuthenticatedGuard implements CanActivate, CanActivateChild {
    private _auth;
    private _router;
    private _config?;
    private _handler?;
    constructor(_auth: Auth, _router: Router, _config?: AuthConfig, _handler?: AuthRedirectHandler);
    canActivate(snapshot: ActivatedRouteSnapshot, state: RouterStateSnapshot): import("rxjs").Observable<boolean | import("@angular/router").UrlTree>;
    canActivateChild(childRoute: ActivatedRouteSnapshot, state: RouterStateSnapshot): import("rxjs").Observable<boolean | import("@angular/router").UrlTree>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbAuthenticatedGuard, [null, null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BbAuthenticatedGuard>;
}
