import { ChangeDetectorRef, DoCheck, TemplateRef } from '@angular/core';
import { BbiControlErrorSubmit } from '../../control-error/control-error-submit.directive';
import { ControlErrorMode } from '../../control-error/control-error.interface';
import { BooleanInput } from '@angular/cdk/coercion';
import { BbiFormControlInput } from '../form-control-input.directive';
import { ValidationErrors } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BbiFormControl implements DoCheck {
    private _changeDetectorRef;
    private _errorSubmit?;
    readonly labelId: string;
    formControlInput?: BbiFormControlInput;
    label: string | TemplateRef<any> | null;
    hint: string | TemplateRef<any> | null;
    errorMode: ControlErrorMode;
    validationErrors$: BehaviorSubject<ValidationErrors>;
    get grouped(): boolean;
    set grouped(value: BooleanInput);
    private _grouped;
    constructor(_changeDetectorRef: ChangeDetectorRef, _errorSubmit?: BbiControlErrorSubmit);
    ngDoCheck(): void;
    static ngAcceptInputType_label: string | TemplateRef<any> | null | undefined;
    static ngAcceptInputType_hint: string | TemplateRef<any> | null | undefined;
    static ngAcceptInputType_errorMode: ControlErrorMode;
    static ngAcceptInputType_grouped: BooleanInput;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbiFormControl, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbiFormControl, "bbi-form-control", never, { "label": { "alias": "label"; "required": false; }; "hint": { "alias": "hint"; "required": false; }; "errorMode": { "alias": "errorMode"; "required": false; }; "grouped": { "alias": "grouped"; "required": false; }; }, {}, ["formControlInput"], ["[bbi-form-control-addon=prefix]", "input[bbiFormControlInput]", "[bbi-form-control-addon=suffix]"], false, never>;
}
