import { OnDestroy, OnInit } from '@angular/core';
import { BbDashboardSidebar } from '../dashboard-sidebar/dashboard-sidebar.component';
import { CanDisableConstructor } from '@bravobit/bb-foundation';
import * as i0 from "@angular/core";
declare class BbDashboardSidebarGroupBase {
    protected _parent: BbDashboardSidebar;
    constructor(_parent: BbDashboardSidebar);
}
declare const BbDashboardSidebarGroupMixinBase: CanDisableConstructor & typeof BbDashboardSidebarGroupBase;
export declare class BbDashboardSidebarGroup extends BbDashboardSidebarGroupMixinBase implements OnInit, OnDestroy {
    protected _parent: BbDashboardSidebar;
    id: string | null;
    icon: string | null;
    title: string | null;
    private _isExpanded;
    private _subscription;
    constructor(_parent: BbDashboardSidebar);
    get hasToggle(): boolean;
    get isExpanded(): boolean;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onClick(): void;
    onGroupClicked(event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbDashboardSidebarGroup, [{ optional: true; host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbDashboardSidebarGroup, "bb-dashboard-sidebar-group", never, { "disabled": { "alias": "disabled"; "required": false; }; "id": { "alias": "id"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "title": { "alias": "title"; "required": false; }; }, {}, never, ["[bb-dashboard-sidebar-item]"], false, never>;
}
export {};
