import { ApplicationRef, EnvironmentInjector, Injector, TemplateRef, Type } from '@angular/core';
import { BbDialogConfig, DialogConfirmOptions } from './dialog.interfaces';
import { BbDialogRef } from './dialog.ref';
import * as i0 from "@angular/core";
export declare class Dialog {
    private _injector;
    private _applicationRef;
    private _environmentInjector;
    constructor(_injector: Injector, _applicationRef: ApplicationRef, _environmentInjector: EnvironmentInjector);
    open<T = any>(componentType: Type<any>, config?: BbDialogConfig): BbDialogRef<T>;
    confirm(title: string | TemplateRef<any>, description: string | TemplateRef<any>, options?: Partial<DialogConfirmOptions>): Promise<boolean>;
    private createDialog;
    private deleteDialog;
    static ɵfac: i0.ɵɵFactoryDeclaration<Dialog, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Dialog>;
}
