import { ElementRef, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { FormGroupDirective } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class BbFormSubmit implements OnInit {
    private _host;
    private _formDirective;
    submitStatus$: Observable<boolean>;
    constructor(_host: ElementRef<HTMLFormElement>, _formDirective: FormGroupDirective);
    ngOnInit(): void;
    submit(): void;
    reset(): void;
    private get nativeElement();
    private reactiveSubmitChanges;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbFormSubmit, [null, { optional: true; self: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BbFormSubmit, "form", ["bbForm"], {}, {}, never, never, false, never>;
}
