import { ElementRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BbDropdown {
    private _elementRef;
    visible$: BehaviorSubject<boolean>;
    constructor(_elementRef: ElementRef);
    toggle(): void;
    close(): void;
    onDocumentClick(target: HTMLElement): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbDropdown, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbDropdown, "bb-dropdown", never, {}, {}, never, ["*", "[bbDropdownItem], hr"], false, never>;
}
export declare class BbDropdownItem {
    private _parent?;
    closeOnClick: boolean;
    constructor(_parent?: BbDropdown);
    onClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbDropdownItem, [{ optional: true; host: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BbDropdownItem, "[bbDropdownItem]", never, { "closeOnClick": { "alias": "closeOnClick"; "required": false; }; }, {}, never, never, false, never>;
}
