import { EventEmitter, OnInit } from '@angular/core';
import { BbFormSubmitter } from '../directives/form-submitter.directive';
import { ElementsError } from '../elements.interfaces';
import { BbFormSubmit } from '../directives/form-submit.directive';
import { NgControl } from '@angular/forms';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BbFormError implements OnInit {
    private _form?;
    private _control?;
    private _formSubmitter?;
    private _errors?;
    set control(value: NgControl);
    get control(): NgControl;
    errorChange: EventEmitter<{
        token: string;
        data?: any;
    }>;
    error$: Observable<{
        token: string;
        data?: any;
    } | null>;
    private _ngControl;
    constructor(_form?: BbFormSubmit, _control?: NgControl, _formSubmitter?: BbFormSubmitter, _errors?: ElementsError[]);
    ngOnInit(): void;
    private getError;
    private submitStatusChanges;
    private getNativeFormSubmit;
    private getManualFormSubmit;
    private statusChanges;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbFormError, [{ optional: true; }, { optional: true; }, { optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbFormError, "bb-form-error", never, { "control": { "alias": "control"; "required": false; }; }, { "errorChange": "errorChange"; }, never, never, false, never>;
}
