import { InjectionToken, ModuleWithProviders } from '@angular/core';
import { HttpConfigData } from './http.interfaces';
import { HttpConfig } from './classes/http.config';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common/http";
export declare class HttpModule {
    private _parent?;
    constructor(_parent?: HttpModule);
    static forRoot(config: HttpConfigData): ModuleWithProviders<HttpModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<HttpModule, [{ optional: true; skipSelf: true; }]>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<HttpModule, never, [typeof i1.HttpClientModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<HttpModule>;
}
export declare const HTTP_CONFIGURATION_DATA: InjectionToken<HttpConfigData>;
export declare function createHttpConfig(data: HttpConfigData): HttpConfig;
