import { ModuleWithProviders } from '@angular/core';
import { LocalizeConfig } from './interfaces/config.interfaces';
import { Localize } from './localize.service';
import * as i0 from "@angular/core";
import * as i1 from "./localize.pipe";
import * as i2 from "./views/localize-string/localize-string.component";
import * as i3 from "./views/localize-template.directive";
import * as i4 from "@angular/common";
import * as i5 from "@bravobit/bb-foundation/utils";
export declare class LocalizeModule {
    static forRoot(config: LocalizeConfig): ModuleWithProviders<LocalizeModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocalizeModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<LocalizeModule, [typeof i1.BbLocalize, typeof i2.BbLocalizeString, typeof i3.BbLocalizeTemplate], [typeof i4.CommonModule, typeof i5.UtilsModule], [typeof i1.BbLocalize, typeof i2.BbLocalizeString, typeof i3.BbLocalizeTemplate]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<LocalizeModule>;
}
export declare function initializeLocale(localize: Localize): () => Promise<void>;
export declare function getLocale(localize: Localize): string;
