import { OnChanges, SimpleChanges } from '@angular/core';
import { CurrencyMaskOptions } from '../input-mask.interface';
import { BbInputMask } from './input-mask.directive';
import { Masking } from '../masking.service';
import * as i0 from "@angular/core";
export declare class BbCurrencyMask implements OnChanges {
    private _masking;
    private _inputMask;
    currencyCode: string | null;
    options: Partial<CurrencyMaskOptions> | null;
    constructor(_masking: Masking, _inputMask: BbInputMask);
    ngOnChanges(changes: SimpleChanges): void;
    static ngAcceptInputType_bbCurrencyMask: string | null | undefined;
    static ngAcceptInputType_bbCurrencyMaskOptions: Partial<CurrencyMaskOptions> | null | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbCurrencyMask, [null, { self: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BbCurrencyMask, "input[bbCurrencyMask]", never, { "currencyCode": { "alias": "bbCurrencyMask"; "required": false; }; "options": { "alias": "bbCurrencyMaskOptions"; "required": false; }; }, {}, never, never, false, never>;
}
