/// <reference types="grecaptcha" />
import { InjectionToken } from '@angular/core';
export declare const RECAPTCHA_CONFIG: InjectionToken<RecaptchaConfig>;
export interface RecaptchaConfig {
    baseUrl?: string;
    nonce?: string;
    siteKey?: string;
    theme?: ReCaptchaV2.Theme;
    type?: ReCaptchaV2.Type;
    size?: ReCaptchaV2.Size;
    badge?: ReCaptchaV2.Badge;
}
export type NeverUndefined<T> = T extends undefined ? never : T;
export type RecaptchaErrorParameters = Parameters<NeverUndefined<ReCaptchaV2.Parameters['error-callback']>>;
