export interface DataSourcePageRequest {
    pageNumber: number;
    pageSize: number;
    query: string | null;
    queryFields: string[];
    sort: {
        name: string;
        direction: 'asc' | 'desc';
    }[];
}
export interface DataSourcePageResponse<T = any> {
    totalPages: number;
    totalEntries: number;
    pageSize: number;
    pageNumber: number;
    data: T[];
}
