import { ThemeVariable } from '../utils/theming.variable';
export interface ToggleTheme {
    grouping: ThemeVariable;
    width: ThemeVariable;
    height: ThemeVariable;
    colors: {
        accent: ThemeVariable;
        disabled: ThemeVariable;
        indicator: ThemeVariable;
        background: ThemeVariable;
    };
    outline: {
        color: ThemeVariable;
        offset: ThemeVariable;
        thickness: ThemeVariable;
    };
    label: {
        color: ThemeVariable;
        fontSize: ThemeVariable;
        fontWeight: ThemeVariable;
        lineHeight: ThemeVariable;
        offset: ThemeVariable;
    };
}
export declare function toggleThemeFactory(): ToggleTheme;
