import { GlobalTheme, GlobalVariables, PartialGlobalTheme } from './theming.interface';
export declare class Theme {
    protected readonly data: GlobalTheme;
    protected readonly globals: GlobalVariables;
    constructor(theme?: PartialGlobalTheme);
    variables(): any;
    protected defaultFactories(): GlobalTheme;
    protected getContents(data: object, scope?: string | null): any;
    protected getToken(key: string, scope: string): string;
    protected tokenize(value: string): string;
    protected mergeThemeData(target: GlobalTheme, ...sources: PartialGlobalTheme[]): any;
    protected getGlobals(): {
        accentColor: `#${string}`;
        errorColor: `#${string}`;
    };
    private isObject;
}
