import { ChangeDetectorRef, ElementRef, OnDestroy, TemplateRef, ViewContainerRef } from '@angular/core';
import { ConnectedPosition, Overlay } from '@angular/cdk/overlay';
import { BooleanInput } from '@angular/cdk/coercion';
import * as i0 from "@angular/core";
export declare class TooltipDirective implements OnDestroy {
    private _overlay;
    private _viewContainer;
    private _elementRef;
    private _changeDetectorRef;
    bbTooltip: string | TemplateRef<void>;
    bbTooltipClass: string | null;
    bbTooltipOrigin: HTMLElement | null;
    bbTooltipPositions: ConnectedPosition[];
    get bbTooltipDisabled(): boolean;
    set bbTooltipDisabled(value: BooleanInput);
    private _bbTooltipDisabled;
    private _overlayRef;
    constructor(_overlay: Overlay, _viewContainer: ViewContainerRef, _elementRef: ElementRef<HTMLElement>, _changeDetectorRef: ChangeDetectorRef);
    showTooltip(): void;
    hideTooltip(): void;
    ngOnDestroy(): void;
    private attachTooltip;
    private getPositionStrategy;
    private getPositions;
    static ngAcceptInputType_bbTooltip: string | TemplateRef<void>;
    static ngAcceptInputType_bbTooltipClass: string | null;
    static ngAcceptInputType_bbTooltipOrigin: HTMLElement | null;
    static ngAcceptInputType_bbTooltipDisabled: BooleanInput;
    static ngAcceptInputType_bbTooltipPositions: ConnectedPosition[];
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TooltipDirective, "[bbTooltip]", never, { "bbTooltip": { "alias": "bbTooltip"; "required": false; }; "bbTooltipClass": { "alias": "bbTooltipClass"; "required": false; }; "bbTooltipOrigin": { "alias": "bbTooltipOrigin"; "required": false; }; "bbTooltipPositions": { "alias": "bbTooltipPositions"; "required": false; }; "bbTooltipDisabled": { "alias": "bbTooltipDisabled"; "required": false; }; }, {}, never, never, false, never>;
}
